Skip to main content
POST
/api/v1/image/upscale

Collection Postman

Pour des exemples supplémentaires, veuillez consulter cette collection Postman.

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

Upscale an image to a higher resolution.

image
requis

The image to upscale. Can be either a file upload or a base64-encoded string. Image dimensions must be at least 65536 pixels and final dimensions after scaling must not exceed 16777216 pixels. File size must be less than 25MB.

creativity
number | null
défaut:0.01

How much detail and texture the upscaler adds. Higher values add more; lower values stay closer to the source. Clamped to the 0–0.02 range.

Exemple:

0.01

scale
number
défaut:2

The scale factor for upscaling the image. Must be either 2 or 4. A scale of 4 with large images will result in the scale being dynamically reduced to ensure the final image stays within the maximum size limits.

Plage requise: 2 <= x <= 4
Exemple:

2

Réponse

OK

The response is of type file.